New: AI video tools. Cut, clip, caption and dub your videos. See all video tools →
Dubbing

Create a dubbing project from a YouTube URL

POST
/api/v1/dubbing/projects/youtube

Request Body

application/json
  1. body
name*Name
url*Url

YouTube URL to download and dub

source_lang?Source Lang
Default"auto"
target_lang*Target Lang
keep_background?Keep Background
Defaulttrue
timing_mode?Timing Mode
Default"hybrid"
default_voice_id?string|null
default_voice_source?Default Voice Source
Default"library"
default_voice_model?string|null
clone_voices?Clone Voices
Defaultfalse

Response Body

Successful Response

response?unknownapplication/json
Example Request
curl -X POST 'http://127.0.0.1:8100/api/v1/dubbing/projects/youtube' \  -H 'Content-Type: application/json' \  -d '{  "name": "Launch video",  "url": "https://www.youtube.com/watch?v=abc123",  "target_lang": "fr"}'
Example Response
null